#version 450

layout( push_constant ) uniform constants {
  mat4 view;
  mat4 proj;
} scene;

layout(set = 0, binding = 0) uniform SceneUniform {
  mat4 test;
} scene_ubo;

layout(set = 2, binding = 0) uniform ModelUniform {
  mat4 model;
} model_ubo;

layout(location = 0) in vec3 inPosition;
layout(location = 1) in vec3 inColor;

layout(location = 0) out vec3 fragColor;

void main() {
  gl_Position = scene.proj * scene.view * model_ubo.model * vec4(inPosition, 1.0);
  fragColor = inColor;
}
